"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * DOM Exception.
 *
 * Reference:
 * https://developer.mozilla.org/en-US/docs/Web/API/DOMException/DOMException.
 */
class DOMException extends Error {
    /**
     * Constructor.
     *
     * @param message Message.
     * @param name Name.
     */
    constructor(message, name = null) {
        super(message);
        if (name) {
            this.name = name;
        }
    }
}
exports.default = DOMException;
//# sourceMappingURL=DOMException.js.map